org.deidentifier.arx.aggregates

## Class HierarchyBuilderOrderBased.SerializableComparator<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderOrderBased.SerializableComparator<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<T>

Enclosing class:
  HierarchyBuilderOrderBased<T>

    public abstract static class HierarchyBuilderOrderBased.SerializableComparator<T>
    extends java.lang.Object
    implements java.util.Comparator<T>, java.io.Serializable

A serializable comparator.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SerializableComparator()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SerializableComparator

    public SerializableComparator()